Package org.bukkit.block.data.type

# Interface Candle

All Superinterfaces:
  `BlockData`, `Cloneable`, `Lightable`, `Waterlogged`

public interface Candle extends Lightable, Waterlogged
'candles' represents the number of candles which are present.

## Method Summary

Modifier and Type
Method
Description
`int`
`getCandles()`
Gets the value of the 'candles' property.
`int`
`getMaximumCandles()`
Gets the maximum allowed value of the 'candles' property.
`void`
`setCandles(int candles)`
Sets the value of the 'candles' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Lightable

`isLit, setLit`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`

## Method Details

### getCandles

int getCandles()
Gets the value of the 'candles' property.

Returns:
  the 'candles' value

### setCandles

void setCandles(int candles)
Sets the value of the 'candles' property.

Parameters:
  `candles` - the new 'candles' value

### getMaximumCandles

int getMaximumCandles()
Gets the maximum allowed value of the 'candles' property.

Returns:
  the maximum 'candles' value